<?php
if(!isset($CRON_GUVENLIK)){
    echo "cron dosyasını manuel çalıştıramazsınız";
    exit;
}


require_once "mp-content/init.php";

$services = $db->from('services')->all();


if ($services) {

	foreach ($services as $service) {

		$ss = json_decode($service['service_min_max'], true);
		$ad = json_decode($service['api_detail'], true);
		$servicemin =  $ss['min'];
		$servicemax =  $ss['max'];
		if ($service['api_type'] == 2) {

			$json = json_decode($service['api_detail'], true);

			if ($service['service_min'] !== $json['min']) {

				if ($servicemin) {

					$update = $db->update('services')->where('service_id', $service['service_id'])
						->set(array(
							'api_type' => 2,
							'service_min' => $json['min']
						));

					$insert = $db->insert('auto_report')
						->set(array(
							'report_service_id' => $service['service_id'],
							'report_detail' => '#' . $service['service_id'] . ' numaralı servis, Minimum Sipariş tutarı yeni API Min değeri olan ' . $json['min'] . ' miktarında güncellenmiştir.'
						));

					if ($settings['discord_apiNotify_url']) {
						discord_api(1, "#" . $service['service_id'] . " numaralı servis, Minimum Sipariş tutarı API Min tutarı değiştirilmiş. Eski Değer: " . $service['service_min'] . " - Yeni Değer: " . $json['min'] . " | CRON Tercihleri nedeniyle servise işlem uygulanmamıştır.");
					}
				}
			}

			if ($service['service_max'] !== $json['max']) {

				if ($servicemax) {

					$update = $db->update('services')->where('service_id', $service['service_id'])
						->set(array(
							'service_max' => $json['max'],
							'api_type' => 2
						));

					$insert = $db->insert('auto_report')
						->set(array(
							'report_service_id' => $service['service_id'],
							'report_detail' => '#' . $service['service_id'] . ' numaralı servisin, maksimum sipariş tutarı değiştirildi. Yeni Değer:' . $json['max']
						));

					if ($settings['discord_apiNotify_url']) {
						discord_api(1, '#' . $service['service_id'] . ' numaralı servisin, maksimum sipariş tutarı değiştirildi. Yeni Değer:' . $json['max']);
					}
				}
			}



			if ($service['service_charge'] !== $json['rate']) {

				if ($service['cron_price_rate'] != 0 || $service['service_fixed_price'] != 0) {

					if ($ad['currency'] == "EUR") {

						$eurConvert 	= $json['rate'] * EURO;
						$priceCalculate = ($eurConvert / 100) * $service['cron_price_rate'];
						$newPrice = ($priceCalculate + $eurConvert) + $service['service_fixed_price'];
						$newPrice = $newPrice / EURO;
						$update = $db->update('services')->where('service_id', $service['service_id'])
							->set(array(
								'api_type' => 2,
								'service_charge' => round($newPrice, 5)
							));

						$insert = $db->insert('auto_report')
							->set(array(
								'report_service_id' => $service['service_id'],
								'report_detail' => '#' . $service['service_id'] . ' numaralı servis fiyatı değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice
							));

						if ($settings['discord_apiNotify_url']) {
							discord_api(1, '#' . $service['service_id'] . ' numaralı servis fiyatı değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice);
						}
					} elseif ($ad['currency'] == "USD") {

						$usdConvert 	= $json['rate'] * DOLLAR;
						$priceCalculate = ($usdConvert / 100) * $service['cron_price_rate'];
						$newPrice = ($priceCalculate + $usdConvert) + $service['service_fixed_price'];
						$newPrice = $newPrice / DOLLAR;

						$update = $db->update('services')->where('service_id', $service['service_id'])
							->set(array(
								'api_type' => 2,
								'service_charge' => round($newPrice, 5)
							));

						$insert = $db->insert('auto_report')
							->set(array(
								'report_service_id' => $service['service_id'],
								'report_detail' => '#' . $service['service_id'] . ' numaralı servis fiyatı değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice
							));

						if ($settings['discord_apiNotify_url']) {
							discord_api(1, '#' . $service['service_id'] . ' numaralı servis fiyatı değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice);
						}
					} elseif ($ad['currency'] == "TRY") {

						$priceCalculate = ($json['rate'] / 100) * $service['cron_price_rate'];
						$newPrice = ($priceCalculate + $json['rate']) + $service['service_fixed_price'];


						$update = $db->update('services')->where('service_id', $service['service_id'])
							->set(array(
								'api_type' => 2,
								'service_charge' => round($newPrice, 5)
							));

						$insert = $db->insert('auto_report')
							->set(array(
								'report_service_id' => $service['service_id'],
								'report_detail' => '#' . $service['service_id'] . ' numaralı servis fiyatı değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice
							));

						if ($settings['discord_apiNotify_url']) {
							discord_api(1, '#' . $service['service_id'] . ' numaralı servis fiyatı değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice);
						}
					}
				}
			}

			if ($service['cron_price_rate'] == 0) {
				$service['cron_price_rate'] = 1;
			}


			$site_currency = json_decode($settings['site_currency']);
			if ($ad['currency'] == "USD" && $site_currency->currency_code == "USD") {
				$eurConvert 	= $json['rate'];
				$priceCalculate = ($eurConvert / 100) * $service['cron_price_rate'];
				$newPrice = ($priceCalculate + $eurConvert) + $service['service_fixed_price'];



				$update = $db->update('services')->where('service_id', $service['service_id'])
					->set(array(
						'api_type' => 2,
						'service_charge' => round($newPrice, 5)
					));

				$insert = $db->insert('auto_report')
					->set(array(
						'report_service_id' => $service['service_id'],
						'report_detail' => '#' . $service['service_id'] . ' numaralı servis euro kuru değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice
					));

				if ($settings['discord_apiNotify_url']) {
					discord_api(1, '#' . $service['service_id'] . ' numaralı servis euro kuru değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice);
				}
			}
			if ($ad['currency'] == "USD" && $site_currency->currency_code == "TRY") {
				$usdConvert 	= $json['rate'] * DOLLAR;
				$priceCalculate = ($usdConvert / 100) * $service['cron_price_rate'];
				$newPrice = ($priceCalculate + $usdConvert) + $service['service_fixed_price'];

				$update = $db->update('services')->where('service_id', $service['service_id'])
					->set(array(
						'api_type' => 2,
						'service_charge' => round($newPrice, 5)
					));

				$insert = $db->insert('auto_report')
					->set(array(
						'report_service_id' => $service['service_id'],
						'report_detail' => '#' . $service['service_id'] . ' numaralı servis, dolar kuru değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice
					));

				if ($settings['discord_apiNotify_url']) {
					discord_api(1, '#' . $service['service_id'] . ' numaralı servis, dolar kuru değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice);
				}
			}
			if ($ad['currency'] == "EUR" && $site_currency->currency_code == "TRY") {
				$eurConvert 	= $json['rate'] * EURO;
				$priceCalculate = ($eurConvert / 100) * $service['cron_price_rate'];
				$newPrice = ($priceCalculate + $eurConvert) + $service['service_fixed_price'];

				$update = $db->update('services')->where('service_id', $service['service_id'])
					->set(array(
						'api_type' => 2,
						'service_charge' => round($newPrice, 5)
					));

				$insert = $db->insert('auto_report')
					->set(array(
						'report_service_id' => $service['service_id'],
						'report_detail' => '#' . $service['service_id'] . ' numaralı servis euro kuru değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice
					));

				if ($settings['discord_apiNotify_url']) {
					discord_api(1, '#' . $service['service_id'] . ' numaralı servis euro kuru değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice);
				}
			}
			if ($ad['currency'] == "USD" && $site_currency->currency_code == "EUR") {
				$eurConvert 	= $json['rate'] * DOLLAR;
				$priceCalculate = ($eurConvert / 100) * $service['cron_price_rate'];
				$newPrice = ($priceCalculate + $eurConvert) + $service['service_fixed_price'];

				$newPrice = $newPrice / EURO;


				$update = $db->update('services')->where('service_id', $service['service_id'])
					->set(array(
						'api_type' => 2,
						'service_charge' => round($newPrice, 5)
					));

				$insert = $db->insert('auto_report')
					->set(array(
						'report_service_id' => $service['service_id'],
						'report_detail' => '#' . $service['service_id'] . ' numaralı servis euro kuru değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice
					));

				if ($settings['discord_apiNotify_url']) {
					discord_api(1, '#' . $service['service_id'] . ' numaralı servis euro kuru değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice);
				}
			}
			if ($ad['currency'] == "EUR" && $site_currency->currency_code == "USD") {
				$eurConvert 	= $json['rate'] * EURO;
				$priceCalculate = ($eurConvert / 100) * $service['cron_price_rate'];
				$newPrice = ($priceCalculate + $eurConvert) + $service['service_fixed_price'];

				$newPrice = $newPrice / DOLLAR;


				$update = $db->update('services')->where('service_id', $service['service_id'])
					->set(array(
						'api_type' => 2,
						'service_charge' => round($newPrice, 5)
					));

				$insert = $db->insert('auto_report')
					->set(array(
						'report_service_id' => $service['service_id'],
						'report_detail' => '#' . $service['service_id'] . ' numaralı servis euro kuru değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice
					));

				if ($settings['discord_apiNotify_url']) {
					discord_api(1, '#' . $service['service_id'] . ' numaralı servis euro kuru değiştiği için, %' . $service['cron_price_rate'] . ' oranında kar eklenerek servis fiyatı güncellendi. Yeni Değer: ' . $newPrice);
				}
			}
		}
	}
}
?>